package dfatool.values;

public class StringValue implements Value{

	String value;
	
	public StringValue(String s) {
		this.value = s;
	}

	public String getValue(){
		return value;
	}
	@Override
	public boolean equals(Object o) {
		if(o instanceof StringValue){
			StringValue s = (StringValue) o;
			return value.equals(s.getValue());
		}else{
			return value.equals(o);			
		}
	}
	
	@Override
	public int hashCode() {
		return value.hashCode();
	}
	
	@Override
	public java.lang.String toString() {
		return this.value.toString();
	}

}
